import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchWhereInputObjectSchema as CommissionBatchWhereInputObjectSchema } from './CommissionBatchWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => CommissionBatchWhereInputObjectSchema).optional()
}).strict();
export const NpiProviderCountOutputTypeCountCommissionBatchesArgsObjectSchema = makeSchema();
export const NpiProviderCountOutputTypeCountCommissionBatchesArgsObjectZodSchema = makeSchema();
